package model;

/**
 * Class containing player's action for this turn
 * @author knightl
 */
public class Action {
	public double speedX = 0.0, speedY = 0.0;
	public boolean drop = false;
	
	/**
	 * If specified speed exceeds PLAYER_MAX_SPEED, scale it down 
	 */
	void clampSpeed(double maxSpeed)
	{
		double norm = speedX*speedX + speedY*speedY;
		if(norm > maxSpeed * maxSpeed)
		{
			norm = Math.sqrt(norm);
			speedX = speedX * maxSpeed / norm;
			speedY = speedY * maxSpeed / norm;
		}
	}

	
	/**
	 * Normalize player action
	 */
	public void normalize(Rules rules)
	{
		clampSpeed(rules.PLAYER_MAX_SPEED);
		
	}
	
}
