package model;

import java.util.ArrayList;
import java.util.List;

public class Bomb extends WorldObject {

	public final int timeout;
	private final int owner;
	private final List<Integer> walkableFor;
	
	public Bomb(double x, double y, double size, int timeout, int owner, List<Integer> walkableFor)
	{
		super(WorldObjectType.Bomb, x, y, size);
		this.timeout = timeout;
		this.owner = owner;
		if(walkableFor != null)
		{
			this.walkableFor = new ArrayList<Integer>(walkableFor);
		}
		else
		{
			this.walkableFor = new ArrayList<Integer>();
		}
	}

	public boolean isWalkableFor(int player)
	{
		return walkableFor.contains(player);
	}
	
	public void setWalkable(List<Integer> walkableFor)
	{
		this.walkableFor.clear();
		this.walkableFor.addAll(walkableFor);
	}
	
	public List<Integer> getWalkableFor()
	{
		return new ArrayList<Integer>(walkableFor);
	}

	public int getOwner()
	{
		return owner;
	}
}
