package model;

public class Bonus extends WorldObject {

	public final BonusType bonusType;
	private int immuneDuration;
	
	public Bonus(double x, double y, double size, BonusType bonusType, int immuneDuration)
	{
		super(WorldObjectType.Bonus, x, y, size);
		this.bonusType = bonusType;
		this.immuneDuration = immuneDuration;
	}

	public int getImmuneDuration()
	{
		return immuneDuration;
	}

	public void setImmuneDuration(int immundeDuration)
	{
		this.immuneDuration = immundeDuration;
	}

	public void tickDurations()
	{
		if(this.immuneDuration > 0)
			this.immuneDuration -= 1; 
	}

	public boolean isImmune()
	{
		return immuneDuration > 0;
	}
}
