package model;

import java.util.*;

public class World {
	
	public final int tick;
	private final ArrayList<Player> players;
	private final ArrayList<Obstacle> obstacles;
	private final ArrayList<Bomb> bombs;
	private final ArrayList<Explosion> explosions;
	private final ArrayList<Bonus> bonuses;
	
	public World(int tick, List<Player> players, List<Obstacle> obstacles, List<Bomb> bombs, List<Explosion> explosions, List<Bonus> bonuses)
	{
		this.tick = tick;
		this.players = new ArrayList<Player>(players);
		this.obstacles = new ArrayList<Obstacle>(obstacles);
		this.bombs = new ArrayList<Bomb>(bombs);
		this.explosions = new ArrayList<Explosion>(explosions);
		this.bonuses = new ArrayList<>(bonuses);
	}

	public Player[] getPlayers()
	{
		return players.toArray(new Player[players.size()]);
	}
	
	public Obstacle[] getObstacles()
	{
		return obstacles.toArray(new Obstacle[obstacles.size()]);
	}
	
	public Bomb[] getBombs()
	{
		return bombs.toArray(new Bomb[bombs.size()]);
	}
	
	public Explosion[] getExplosions()
	{
		return explosions.toArray(new Explosion[explosions.size()]);
	}
	
	public Bonus[] getBonuses()
	{
		return bonuses.toArray(new Bonus[bonuses.size()]);
	}
	
	public World clone()
	{
		return new World(tick, players, obstacles, bombs, explosions, bonuses);
	}
	
}
