package utils;

import model.*;

public abstract class Client {
	private long timeConsumed = 0L;
	private long timeStored = -1L;
	
	public abstract void init(Rules rules);
	public abstract void disconnect();
	public abstract Action getAction(Player player, World world);
	
	public void startClock()
	{
		timeStored = System.currentTimeMillis();
	}
	public void stopClock()
	{
		timeConsumed += System.currentTimeMillis() - timeStored;
	}
	public long getTotalTime()
	{
		return timeConsumed;
	}
}
